cdac.medinfo.sdk.hl7282.baselibs

## Class CD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.CD

- All Implemented Interfaces:
    IDataType

      public class CD
      extends CompositeDataType

  CD - Channel Definition

  This data type is used for labeling of digital waveform data

  Represents an HL7 CD data type. This data type has the following attributes:

  1. channel identifier (WVI)Optional
  2. electrode names (WVS)Optional
  3. channel sensitivity/units (CSU)Optional
  4. calibration parameters (CCP)Optional
  5. sampling frequency (NM)Optional
  6. minimum/maximum data values (NR)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CD()` Default Constructor for CD
    `CD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for CD class which takes two arguments and sets the value in the respective member variable.
    `CD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for CD class which takes five arguments and sets the value in the respective member variable.
    `CD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for CD class which takes six arguments and sets the value in the respective member variable.
    `CD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CD class which takes four arguments and sets the value in the respective member variable.
    `CD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for CD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CCP` | `getChannelCalibrationParameters()` Returns Channel Calibration Parameters
    `WVI` | `getChannelIdentifier()` Returns Channel Identifier
    `NM` | `getChannelSamplingFrequency()` Returns Channel Calibration Parameters
    `CSU` | `getChannelSensitivityUnits()` Returns Channel Sensitivity Units
    `NR` | `getMinimumMaximumDataValues()` Returns Minimum Maximum Data Values
    `WVS` | `getWaveformSource()` Returns Waveform Source
    `void` | `setChannelCalibrationParameters(CCP objChannelCalibrationParameters)` Sets the Channel Calibration Parameters.
    `void` | `setChannelIdentifier(WVI objChannelIdentifier)` Sets the Channel Identifier.
    `void` | `setChannelSamplingFrequency(NM objNM)` Sets the Channel Sampling Frequency.
    `void` | `setChannelSamplingFrequency(java.lang.String strChannelSamplingFrequency)` Sets the Channel Sampling Frequency.
    `void` | `setChannelSensitivityUnits(CSU objSSChannelSensitivityUnits)` Sets the Channel Sensitivity Units.
    `void` | `setMinimumMaximumDataValues(NR objMinMaxDataValues)` Sets the Minimum - Maximum Data Values.
    `void` | `setWaveformSource(WVS objWaveformSource)` Sets the Waveform Source.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CD

          public CD()

      Default Constructor for CD

    - #### CD

          public CD(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CD class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CD

          public CD(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)

      Constructor for CD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CD

          public CD(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for CD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CD

          public CD(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for CD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CD

          public CD(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for CD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setChannelIdentifier

          public void setChannelIdentifier(WVI objChannelIdentifier)

      Sets the Channel Identifier.
      Parameters:
        `objChannelIdentifier` - Specifies the number and name of the recording channel where waveform data is transmitted.

    - #### setWaveformSource

          public void setWaveformSource(WVS objWaveformSource)

      Sets the Waveform Source.
      Parameters:
        `objWaveformSource` - Specifies the Waveform Source.

    - #### setChannelSensitivityUnits

          public void setChannelSensitivityUnits(CSU objSSChannelSensitivityUnits)

      Sets the Channel Sensitivity Units.
      Parameters:
        `objSSChannelSensitivityUnits` - Defines the channel sensitivity (gain) and the units in which it is measured.

    - #### setChannelCalibrationParameters

          public void setChannelCalibrationParameters(CCP objChannelCalibrationParameters)

      Sets the Channel Calibration Parameters.
      Parameters:
        `objChannelCalibrationParameters` - Specifies the corrections to channel sensitivity, the baseline, and the channel time skew.

    - #### setChannelSamplingFrequency

          public void setChannelSamplingFrequency(java.lang.String strChannelSamplingFrequency)

      Sets the Channel Sampling Frequency.
      Parameters:
        `strChannelSamplingFrequency` - Defines the sampling frequency in hertz of the channel

    - #### setChannelSamplingFrequency

          public void setChannelSamplingFrequency(NM objNM)

      Sets the Channel Sampling Frequency.
      Parameters:
        `objNM` - Defines the sampling frequency in hertz of the channel

    - #### setMinimumMaximumDataValues

          public void setMinimumMaximumDataValues(NR objMinMaxDataValues)

      Sets the Minimum - Maximum Data Values.
      Parameters:
        `objMinMaxDataValues` - Specifies the minimum and maximum data values which can occur in this channel in the digital waveform data

    - #### getChannelIdentifier

          public WVI getChannelIdentifier()

      Returns Channel Identifier
      Returns:
        WVI - data type.

    - #### getWaveformSource

          public WVS getWaveformSource()

      Returns Waveform Source
      Returns:
        WVS - data type.

    - #### getChannelSensitivityUnits

          public CSU getChannelSensitivityUnits()

      Returns Channel Sensitivity Units
      Returns:
        CSU - data type.

    - #### getChannelCalibrationParameters

          public CCP getChannelCalibrationParameters()

      Returns Channel Calibration Parameters
      Returns:
        CCP - data type.

    - #### getChannelSamplingFrequency

          public NM getChannelSamplingFrequency()

      Returns Channel Calibration Parameters
      Returns:
        NM - data type.

    - #### getMinimumMaximumDataValues

          public NR getMinimumMaximumDataValues()

      Returns Minimum Maximum Data Values
      Returns:
        NR - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.